<?php

if (!defined('SMF'))
	die('Hacking attempt...');

//Lets make our blog
function BlogMain()
{
	global $context, $modSettings, $txt, $scripturl, $user_info, $smcFunc, $boardurl;
	
	//Important!
	loadTemplate('BlogFeatures');
	if(loadLanguage('Adk-Blog') == false)
		loadLanguage('Adk-Blog','english');
	
	//Blog Enable?
	if(empty($modSettings['blog_enable']))
		fatal_lang_error('blog_not_enable',false);
	
	//id_group?
	if($user_info['is_guest'])
		$context['blog']['id_group'] = -1;
	else
		$context['blog']['id_group'] = $user_info['groups'][0];
	
	//Our important ID User
	$context['blog']['id_user'] = (int)$_REQUEST['blog'];
	
	//Count +1
	updateCountBlog($context['blog']['id_user']);
	
	if(empty($context['blog']['id_user']))
		fatal_lang_error('blog_this_user_not_exists',false);
	
	$toexplode = explode(',',$modSettings['blog_allowed_toview']);
	
	if(!in_array($context['blog']['id_group'],$toexplode))
		fatal_lang_error('blog_not_permission',false);
	
	$sql = $smcFunc['db_query']('','
		SELECT real_name, id_group FROM {db_prefix}members
		WHERE id_member = {int:member}',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	if(!in_array($row['id_group'],explode(',',$modSettings['blog_allowed_your_blog'])))
		fatal_lang_error('adk_blog_user_not_allowed',false);
	
	$context['blog']['name'] = $row['real_name'];
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=blogs',
		'name' => $txt['adk_first_blogs'],
	);
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'],
		'name' => sprintf($txt['blog_de'],$row['real_name']),
	);
	
	//Load Html Headers
	$context['html_headers'] = '
		<script type="text/javascript"><!-- // --><![CDATA[
			var smf_blog = "'.$boardurl.'/blog/ajax/";
			var smf_blog_text = "'.$txt['blog_like_thanks'].'";
		// ]]></script>
		<script type="text/javascript" src="'.$boardurl.'/blog/js/jquery.js"></script>
		<script type="text/javascript" src="'.$boardurl.'/blog/js/adk_blog.js"></script>
		<link rel="stylesheet" type="text/css" href="'.$boardurl.'/blog/css/adk_blog.css" />';
	
	//Load all subActions
	LoadBlogSubActions();
}

//These are our sub-actions from blog=ID;sa=blabla
function LoadBlogSubActions()
{
	$subActions = array(
		'main' => 'MyADKBlog',
		'addcategory' => 'AddCategoryUser', //Done
		'savecategory' => 'SaveCategoryUser', //Done
		'editcategory' => 'EditCategoryUser',
		'saveeditcategory' => 'Saveeditcategory',
		'listcategories' => 'ListCategoriesUser',
		'savelistcategories' => 'SaveListCategories',
		'deletecat' => 'DeleteCatUser',
		'savedeletcat' => 'SaveDeleteCatUser',
		'changemyaboutme' => 'ChangeMyAboutMe',
		'savechangemyaboutme' => 'SaveChangeMyAboutMe',
		'addnewpost' => 'AddNewPostUser',
		'savenewpost' => 'SaveNewPostUser',
		'savecomment' => 'SaveCommentUser',
		'editsomecomment' => 'EditSomeComment',
		'saveeditsome' => 'SaveEditSomeComment',
		'deletecomment' => 'DeleteSomeComment',
		'topic' => 'ShowViewTopicBlog',
		'cat' => 'ShowViewCatBlog',
	);
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['main']();
}

//Our Main blog ej: blog=1
function MyADKBlog()
{
	global $context, $smcFunc, $txt, $memberContext, $user_info, $scripturl, $modSettings, $settings;
	
	/*Load Member Data
	with loadMemberData() & loadMemberContext()
	START*/
	$id_member = $context['blog']['id_user'];
	LoadMemberBlogData($id_member);
	$context['start'] = !empty($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$t = $smcFunc['db_query']('','
		SELECT COUNT(*) AS t
		FROM {db_prefix}blog_comments
		WHERE id_member = {int:member} AND is_started = {int:s}',
		array(
			'member' => $id_member,
			's' => 1,
		)
	);
	
	$new = $smcFunc['db_fetch_assoc']($t);
	$smcFunc['db_free_result']($t);	
		
	$total = $new['t'];
	
	//Load topics
	$sql = $smcFunc['db_query']('','
		SELECT co.id_comment, co.subject, co.body, co.time, co.id_cat, co.icon, co.id_member, ca.id_cat, ca.title
		FROM {db_prefix}blog_comments AS co, {db_prefix}blog_categories AS ca
		WHERE co.id_member = {int:member} AND co.is_started = {int:started} AND co.id_cat = ca.id_cat
		ORDER BY id_comment DESC LIMIT {int:first}, {int:limit}',
		array(
			'member' => $id_member,
			'started' => 1,
			'first' => $context['start'],
			'limit' => $modSettings['blog_limit_perpage'],
		)
	);
	
	$context['blog']['data'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$image = '<img src="'.$settings['images_url'].'/post/'.$row['icon'].'.gif" alt="" style="vertical-align: middle;" />&nbsp;';
		$context['blog']['data'][] = array(
			'id' => $row['id_comment'],
			'icon' => !empty($row['icon']) ? $image : '',
			'subject' => $row['subject'],
			'body' => parse_bbc($row['body']),
			'time' => timeformat($row['time']),
			'id_cat' => $row['id_cat'],
			'title' => $row['title'],
		);
	}
	
	$context['page_index'] = constructPageIndex($scripturl . '?blog='.$id_member, $context['start'],$total,$modSettings['blog_limit_perpage']);
	
	if(empty($context['blog']['data']))
		$context['blog']['nothing'] = 1;
	
	$smcFunc['db_free_result']($sql);
	
	
	$context['sub_template'] = 'myadkblog';
	$context['page_title'] = sprintf($txt['blog_de'],$context['blog']['member']['name']);
	
	/**/
	$sql2 = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql2))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$smcFunc['db_free_result']($sql2);
}

//the cats blog=1;sa=cat;id=23
function ShowViewCatBlog()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir, $modSettings, $settings, $scripturl;
	
	$id_member = $context['blog']['id_user'];
	LoadMemberBlogData($id_member);
	
	$id = !empty($_REQUEST['id']) ? (int)$_REQUEST['id'] : 0;
	if(empty($id))
		fatal_lang_error('blog_wrong_id',false);

	$t = $smcFunc['db_query']('','
		SELECT COUNT(*) AS t
		FROM {db_prefix}blog_comments
		WHERE id_cat = {int:c} AND id_member = {int:m}
		AND is_started = {int:s}',
		array(
			'c' => $id,
			'm' => $id_member,
			's' => 1,
		)
	);
	
	$context['start'] = !empty($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$new = $smcFunc['db_fetch_assoc']($t);
	$smcFunc['db_free_result']($t);	
	
	$title = $smcFunc['db_query']('','SELECT title FROM {db_prefix}blog_categories WHERE id_cat = {int:cat}',array('cat' => $id,));
	$test = $smcFunc['db_fetch_assoc']($title);
	$smcFunc['db_free_result']($title);
	
	$title_cat = $test['title'];
		
	
	$total = $new['t'];
	
	$sql = $smcFunc['db_query']('','
		SELECT co.id_comment, co.subject, co.body, co.time, co.id_cat, co.icon, co.id_member, ca.id_cat, ca.title
		FROM {db_prefix}blog_comments AS co, {db_prefix}blog_categories AS ca
		WHERE co.id_member = {int:member} AND co.is_started = {int:started} AND co.id_cat = ca.id_cat AND co.id_cat = {int:cat}
		ORDER BY id_comment DESC LIMIT {int:first}, {int:limit}',
		array(
			'member' => $id_member,
			'cat' => $id,
			'started' => 1,
			'first' => $context['start'],
			'limit' => $modSettings['blog_limit_perpage'],
		)
	);
	
	$context['blog']['data'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$image = '<img src="'.$settings['images_url'].'/post/'.$row['icon'].'.gif" alt="" style="vertical-align: middle;" />&nbsp;';
		$context['blog']['data'][] = array(
			'id' => $row['id_comment'],
			'icon' => !empty($row['icon']) ? $image : '',
			'subject' => $row['subject'],
			'body' => parse_bbc($row['body']),
			'time' => timeformat($row['time']),
			'id_cat' => $row['id_cat'],
			'title' => $row['title'],
		);
	}
	
	$context['page_index'] = constructPageIndex($scripturl . '?blog='.$id_member, $context['start'],$total,$modSettings['blog_limit_perpage']);

	$smcFunc['db_free_result']($sql);
	
	if(empty($context['blog']['data']))
		fatal_lang_error('blog_wrong_id',false);
	
	$context['sub_template'] = 'mycatadkblog';
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'].';sa=cat;id='.$id,
		'name' => $title_cat,
	);
	$context['page_title'] = $title_cat;
	
	
	$sql2 = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql2))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$smcFunc['db_free_result']($sql2);	
	
	
}

//Any topic blog=1;sa=topic;id=1
function ShowViewTopicBlog()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir, $modSettings, $settings, $scripturl;
	
	$id_member = $context['blog']['id_user'];
	LoadMemberBlogData($id_member);
	
	$id = !empty($_REQUEST['id']) ? (int)$_REQUEST['id'] : 0;
	if(empty($id))
		fatal_lang_error('blog_wrong_id',false);
	
	$sql = $smcFunc['db_query']('','
		SELECT co.id_initial, co.subject, co.body, co.time, co.id_cat, co.icon, co.id_member, ca.id_cat, ca.title, co.like_it
		FROM {db_prefix}blog_comments AS co, {db_prefix}blog_categories AS ca
		WHERE co.id_initial = {int:member} AND co.is_started = {int:started} AND co.id_cat = ca.id_cat AND co.id_member = {int:a}
		LIMIT 1',
		array(
			'member' => $id,
			'started' => 1,
			'a' => $id_member,
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$image = '<img src="'.$settings['images_url'].'/post/'.$row['icon'].'.gif" alt="" style="vertical-align: middle;" />&nbsp;';
	
	$context['blogdata'] = array(
		'id' => $id,
		'subject' => $row['subject'],
		'body' => parse_bbc($row['body']),
		'time' => timeformat($row['time']),
		'id_cat' => $row['id_cat'],
		'title' => $row['title'],
		'icon' => !empty($row['icon']) ? $image : '',
		'cat' => '<a href="'.$scripturl.'?blog='.$context['blog']['id_user'].';sa=cat;id='.$row['id_cat'].'">'.$row['title'].'</a>',
		'like_it' => !empty($row['like_it']) ? explode(',',$row['like_it']) : array(),
	);
	
	//Load Comments
	$new = $smcFunc['db_query']('','
		SELECT m.real_name, m.id_member, a.id_member, a.body, a.time, a.id_comment, m.avatar,
			IFNULL(ab.id_attach, 0) AS id_attach, ab.filename, ab.attachment_type
		FROM {db_prefix}blog_comments AS a, {db_prefix}members AS m
		LEFT JOIN {db_prefix}attachments AS ab ON (ab.id_member = m.id_member)
		WHERE a.id_initial = {int:i} AND a.is_started = {int:started} AND m.id_member = a.id_member
		ORDER BY a.id_comment ASC',
		array(
			'i' => $id,
			'started' => 0,
		)
	);
	
	$width = 25; $height = 25;
	
	$context['blog_comments'] = array();
	$members_id = array();
	
	while($newrow = $smcFunc['db_fetch_assoc']($new)){
		$context['blog_comments'][] = array(
			'time' => timeformat($newrow['time']),
			'member' => '<a href="'.$scripturl.'?action=profile;u='.$newrow['id_member'].'">'.$newrow['real_name'].'</a>',
			'body' => parse_bbc($newrow['body'],true,'',array('i','b','u','s','center','left','right')),
			'id' => $newrow['id_comment'],
			'avatar' => $newrow['avatar'] == '' ? ($newrow['id_attach'] > 0 ? '<img width="'.$width.'" height="'.$height.'" src="' . (empty($newrow['attachment_type']) ? $scripturl . '?action=dlattach;attach=' . $newrow['id_attach'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $newrow['filename']) . '" alt="" border="0" />' : '') : (stristr($newrow['avatar'], 'http://') ? '<img width="'.$width.'" height="'.$height.'" src="' . $newrow['avatar'] . '" alt="" border="0" />' : '<img width="'.$width.'" height="'.$height.'" src="' . $modSettings['avatar_url'] . '/' . $smcFunc['htmlspecialchars']($newrow['avatar']) . '" alt="" border="0" />'),
		);
		
		$members_id[$newrow['id_member']] = $newrow['id_member'];
	}
	
	$smcFunc['db_free_result']($new);
	
	$context['sub_template'] = 'list_topic';
	$context['page_title'] = $context['blogdata']['subject'];
	
	$sql2 = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	//Member from blgo
	$members_id[$context['blog']['id_user']] = $context['blog']['id_user'];
	
	//Load all members :)
	$context['members_commented'] = implode(',',$members_id);
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql2))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$smcFunc['db_free_result']($sql2);	
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'].';sa=cat;id='.$context['blogdata']['id_cat'],
		'name' => $context['blogdata']['title'],
	);
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'].';sa=topic;id='.$context['blogdata']['id'],
		'name' => $context['blogdata']['subject'],
	);
	
	//Delete all notifys of this topic
	if(in_array($user_info['id'],$members_id))
		$smcFunc['db_query']('','DELETE FROM {db_prefix}blog_not WHERE id_member_received = {int:member} AND id_topic = {int:topic}',array('member' => $members_id[$user_info['id']], 'topic' => $context['blogdata']['id'],));

}

/*Let's make our admin function (for any user)*/
function AddCategoryUser()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $scripturl;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$context['sub_template'] = 'add_category_blog';
	$context['page_title'] = $txt['blog_add_category'];
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'].';sa=addcategory;'.$context['session_var'].'='.$context['session_id'],
		'name' => $txt['blog_add_category'],
	);
}

function SaveCategoryUser()
{
	global $smcFunc, $context, $user_info;
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	if(empty($_POST['title']))
		fatal_lang_error('blog_require_title',false);
	
	$title = $smcFunc['htmlspecialchars']($_POST['title']);
	$p = (int)$_POST['p'];
	$id_member = $context['blog']['id_user'];
	
	$the_array_info = array(
		'title' => 'text',
		'id_member' => 'int',
		'position' => 'int',
	);
	
	$the_array_insert = array(
		$title,
		$id_member,
		$p,
	);
	
	$smcFunc['db_insert']('insert',
		'{db_prefix}blog_categories',
		//Load The Array Info
		$the_array_info,
		//Insert Now;)
		$the_array_insert,
		array('id_cat')
	);
	
	redirectexit('blog='.$id_member.';sa=listcategories;'.$context['session_var'].'='.$context['session_id']);

}

function EditCategoryUser()
{
	global $smcFunc, $context, $user_info, $txt;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	if(!empty($_REQUEST['id']))
		$id = (int)$_REQUEST['id'];
	else
		fatal_lang_error('blog_wrong_id',false);	
	
	$second = $smcFunc['db_query']('','
		SELECT title
		FROM {db_prefix}blog_categories
		WHERE id_cat = {int:id}',
		array(
			'id' => $id,
		)
	);
	$row2 = $smcFunc['db_fetch_assoc']($second);
	$smcFunc['db_free_result']($second);
	
	$context['cat'] = array(
		'title' => $row2['title'],
		'id' => $id,
	);
	
	$context['page_title'] = $txt['blog_edit_categorie'];
	$context['sub_template'] = 'edit_cat_user';
		
}

function Saveeditcategory()
{
	global $smcFunc, $context, $user_info, $txt;
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$title = $smcFunc['htmlspecialchars']($_POST['title']);
	$cat = (int)$_POST['cat'];
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}blog_categories
		SET title = {string:title}
		WHERE id_cat = {int:cat}',
		array(
			'title' => $title,
			'cat' => $cat,
		)
	);
	
	redirectexit('blog='.$context['blog']['id_user'].';sa=listcategories;'.$context['session_var'].'='.$context['session_id']);
}

function ListCategoriesUser()
{
	global $smcFunc, $context, $txt, $user_info, $scripturl;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$sql = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$smcFunc['db_free_result']($sql);
	
	$context['page_title'] = $txt['blog_mycategories'] .' - '.$context['blog']['name'];
	$context['sub_template'] = 'list_categories';
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?blog='.$context['blog']['id_user'].';sa=listcategories;'.$context['session_var'].'='.$context['session_id'],
		'name' => $txt['blog_add_category'],
	);
	
}

function SaveListCategories()
{
	global $smcFunc, $context, $user_info;
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	checkSession('post');
	
	$p = $_POST['p'];
	$id = $_POST['id'];
	$i = 0;
	$count = count($p);
	
	while($i < $count)
	{
		$p[$i] = (int)$p[$i];
		$id[$i] = (int)$id[$i];
		
		$smcFunc['db_query']('','
			UPDATE {db_prefix}blog_categories
			SET position = {int:p}
			WHERE id_cat = {int:c}',
			array(
				'p' => $p[$i],
				'c' => $p[$i],
			)
		);
		$i++;
	}
	
	redirectexit('blog='.$context['blog']['id_user'].';sa=listcategories;'.$context['session_var'].'='.$context['session_id']);

}

function DeleteCatUser()
{
	global $smcFunc, $txt, $context, $user_info;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	if(!empty($_REQUEST['id']))
		$id = (int)$_REQUEST['id'];
	else
		fatal_lang_error('blog_wrong_id',false);
	
	$sql = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total
		FROM {db_prefix}blog_comments
		WHERE id_cat = {int:id}',
		array(
			'id' => $id,
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$second = $smcFunc['db_query']('','
		SELECT title
		FROM {db_prefix}blog_categories
		WHERE id_cat = {int:id}',
		array(
			'id' => $id,
		)
	);
	$row2 = $smcFunc['db_fetch_assoc']($second);
	$smcFunc['db_free_result']($second);
	
	$context['cat'] = array(
		'total' => !empty($row['total']) ? $row['total'] : 0,
		'title' => $row2['title'],
		'id' => $id,
	);
	
	//Load Categories
	$sql = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$context['page_title'] = $txt['blog_delete_categorie'];
	$context['sub_template'] = 'delete_cat_user';
}
	
	
function SaveDeleteCatUser()
{
	global $smcFunc, $context, $user_info;
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	$cat = (int)$_POST['cat'];
		
	if($_POST['what'] == 1)
	{
		
		$smcFunc['db_query']('','
			DELETE FROM {db_prefix}blog_comments
			WHERE id_cat = {int:cat}',
			array(
				'cat' => $cat,
			)
		);
		
		$smcFunc['db_query']('','
			DELETE FROM {db_prefix}blog_categories
			WHERE id_cat = {int:cat}',
			array(
				'cat' => $cat,
			)
		);
	}
	elseif($_POST['what'] == 2)
	{
		$catnew = (int)$_POST['catnew'];
		$smcFunc['db_query']('','
			UPDATE {db_prefix}blog_comments
			SET id_cat = {int:cat}',
			array(
				'cat' => $catnew,
			)
		);
		
		$smcFunc['db_query']('','
			DELETE FROM {db_prefix}blog_categories
			WHERE id_cat = {int:cat}',
			array(
				'cat' => $cat,
			)
		);
	}
	
	redirectexit('blog='.$context['blog']['id_user'].';sa=listcategories;'.$context['session_var'].'='.$context['session_id']);
}

function ChangeMyAboutMe()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$context['sub_template'] = 'edit_about_me';
	$context['page_title'] = $txt['blog_edit_about_me'];
	
	$sql = $smcFunc['db_query']('','
		SELECT blog_about_me FROM {db_prefix}members
		WHERE id_member = {int:member}',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$context['blog']['about'] = $row['blog_about_me'];
	$context['blog']['aboutid'] = $context['blog']['id_user'];
	
	// Needed for the WYSIWYG editor.
	require_once($sourcedir . '/Subs-Editor.php');

	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => !empty($context['blog']['about']) ? $context['blog']['about'] : '',
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];

}

function SaveChangeMyAboutMe()
{
	global $smcFunc, $context, $user_info, $sourcedir;
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
		
	if (!empty($_REQUEST['descript_mode']) && isset($_REQUEST['descript']))
	{
		require_once($sourcedir . '/Subs-Editor.php');

		$_REQUEST['descript'] = html_to_bbc($_REQUEST['descript']);

		// We need to unhtml it now as it gets done shortly.
		$_REQUEST['descript'] = un_htmlspecialchars($_REQUEST['descript']);

	}
	$id = (int)$_POST['id'];
	
	$about = $smcFunc['htmlspecialchars']($_REQUEST['descript']);
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}members
		SET blog_about_me = {string:a}
		WHERE id_member = {int:member}',
		array(
			'a' => $about,
			'member' => $id,
		)
	);
	
	
	redirectexit('blog='.$id);

}

function SaveCommentUser()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir, $modSettings, $settings, $scripturl;

	require_once($sourcedir . '/Subs-Post.php');
		
	$toexplode = explode(',',$modSettings['blog_allowed_groups_tocomment']);
	
	if(!$context['user']['is_logged'] || !in_array($context['blog']['id_group'],$toexplode))
		fatal_lang_error('blog_not_permission',false);
	
	checkSession('post');
	
	$id = (int)$_POST['id'];
	$body = $smcFunc['htmlspecialchars']($_POST['comment']);
	preparsecode($body);
	
	$subject = $smcFunc['htmlspecialchars']($_POST['subject']);
	$time = time();
	$id_member = $user_info['id'];
	$is_started = 0;
	$icon = '';
	$myid = (int)$_POST['myid'];
	
	
	//Insert ;)
	$the_array_info = array(
		'id_initial' => 'int',
		'body' => 'text',
		'subject' => 'text',
		'time' => 'int',
		'id_member' => 'int',
		'is_started' => 'int',
		'icon' => 'text',
	);
	
	$the_array_insert = array(
		$id,
		$body,
		$subject,
		$time,
		$id_member,
		$is_started,
		$icon,
	);
	
	$smcFunc['db_insert']('insert',
		'{db_prefix}blog_comments',
		//Load The Array Info
		$the_array_info,
		//Insert Now;)
		$the_array_insert,
		array('id_comment')
	);

	
	if($myid != $id_member && !empty($modSettings['blog_enable_sendPM']))
	{
		require_once($sourcedir . '/Subs-Post.php');
		
		$select = $smcFunc['db_query']('','
			SELECT member_name, real_name 
			FROM {db_prefix}members 
			WHERE id_member = {int:member}',
			array(
				'member' => $id_member,
			)
		);
		
		$member = $smcFunc['db_fetch_assoc']($select);
		$smcFunc['db_free_result']($select);
		
		$from = array(
		'id' => $id_member,
		'name' => $member['real_name'],
		'username' => $member['member_name']
		);
		
		
		$recs = array(
			'to' => array($myid),
			'bcc' => array()
		);
		
		$subject = $txt['adk_anew_coment'];
		$message = $txt['adk_anew_coment'].': '.$scripturl.'?blog='.$myid.';sa=topic;id='.$id;
					
						
		sendpm($recs, $subject, $message, false, $from);
	
	}
	
	//Update for all users
	$to_update = $smcFunc['htmlspecialchars']($_POST['to_update']);
	
	//Let's explode
	$explode = explode(',',$to_update);
	//Notificacion
	foreach($explode AS $i => $v){
		if($v != $user_info['id']){
			$the_array_info = array(
				'type' => 'int',
				'id_member_posted' => 'int',
				'id_member_received' => 'int',
				'id_topic' => 'int',
				'time' => 'int',
			);
			
			$the_array_insert = array(
				2,
				$user_info['id'],
				$v,
				$id,
				time()
			);
			
			$smcFunc['db_insert']('insert',
				'{db_prefix}blog_not',
				//Load The Array Info
				$the_array_info,
				//Insert Now;)
				$the_array_insert,
				array('id_not')
			);
		}
	}
	
	redirectexit('blog='.$context['blog']['id_user'].';sa=topic;id='.$id);

}

function EditSomeComment()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir, $modSettings;
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	checkSession('get');
	
	if(!empty($_REQUEST['id']))
		$id = (int)$_REQUEST['id'];
	else
		fatal_lang_error('blog_wrong_id',false);
	
	$sql = $smcFunc['db_query']('','
		SELECT id_comment, subject, body, id_cat, icon, is_started
		FROM {db_prefix}blog_comments
		WHERE id_comment = {int:c}',
		array(
			'c' => $id,
		)
	);
	
	$row = $smcFunc['db_fetch_assoc']($sql);
	
	$context['blogedit'] = array(
		'id' => $id,
		'icon' => $row['icon'],
		'subject' => $row['subject'],
		'body' => $row['body'],
		'id_cat' => $row['id_cat'],
		'true_bbc' => $row['is_started'] == 0 ? false : true,
	);
	
	$smcFunc['db_free_result']($sql);
	
	//Load categories
	$sql = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	
	$smcFunc['db_free_result']($sql);
	
	//Load Icons
	$loadicon = $smcFunc['db_query']('','
		SELECT title, filename FROM {db_prefix}message_icons
	');
	$context['iconsload'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($loadicon))
		$context['iconsload'][$row['title']] = $row['filename'];
	
	$smcFunc['db_free_result']($loadicon);
	
	// Needed for the WYSIWYG editor.
	require_once($sourcedir . '/Subs-Editor.php');

	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => $context['blogedit']['body'],
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];
	
	$context['sub_template'] = 'editsomecomment';
	$context['page_title'] = $txt['blog_simple_edit'];

}

function SaveEditSomeComment()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir, $modSettings;

	require_once($sourcedir . '/Subs-Post.php');
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
		
	
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	checkSession('post');
	
	if (!empty($_REQUEST['descript_mode']) && isset($_REQUEST['descript']))
	{
		require_once($sourcedir . '/Subs-Editor.php');

		$_POST['descript'] = html_to_bbc($_POST['descript']);

		// We need to unhtml it now as it gets done shortly.
		$_POST['descript'] = un_htmlspecialchars($_POST['descript']);

	}
	
	$post = $smcFunc['htmlspecialchars']($_POST['descript']);
	preparsecode($post);

	$title = $smcFunc['htmlspecialchars']($_POST['title']);
	$icon = $smcFunc['htmlspecialchars']($_POST['icon']);
	$cat = (int)$_POST['id_cat'];
	$id = (int)$_POST['id'];
	
	if(empty($title))
		fatal_lang_error('blog_require_title',false);
	if(empty($post))
		fatal_lang_error('blog_require_body',false);
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}blog_comments
		SET
		subject = {string:subject},
		body = {string:body}, 
		icon = {string:icon}, 
		id_cat = {int:id_cat}
		WHERE id_comment = {int:id}',
		array(
			'subject' => $title,
			'body' => $post,
			'icon' => $icon,
			'id_cat' => $cat,
			'id' => $id,
		)
	);
	
	$sql = $smcFunc['db_query']('','
		SELECT id_initial FROM {db_prefix}blog_comments
		WHERE id_comment = {int:c}',
		array(
			'c' => $id,
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	$id = $row['id_initial'];
	
	redirectexit('blog='.$context['blog']['id_user'].';sa=topic;id='.$id);
	
	//redirectexit('blog='.$context['blog']['id_user']);

}

function DeleteSomeComment()
{
	global $user_info, $smcFunc, $context;

	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if(($user_info['id'] != $context['blog']['id_user']) && (!allowedTo('admin_forum')))
		fatal_lang_error('blog_not_permission',false);
	
	$id = !empty($_REQUEST['id']) ? (int)$_REQUEST['id'] : 0;
		
	$smcFunc['db_query']('','
		DELETE FROM {db_prefix}blog_comments
		WHERE id_comment = {int:id}',
		array(
			'id' => $id,
		)
	);
	
	redirectexit('blog='.$context['blog']['id_user']);

}

function AddNewPostUser()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir;
	
	checkSession('get');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if($user_info['id'] != $context['blog']['id_user'])
		fatal_lang_error('blog_not_permission',false);
	
	//Load categories
	$sql = $smcFunc['db_query']('','
		SELECT id_cat, title, id_member, position
		FROM {db_prefix}blog_categories
		WHERE id_member = {int:member}
		ORDER BY position ASC',
		array(
			'member' => $context['blog']['id_user'],
		)
	);
	
	/*if($smcFunc['db_affected_rows']($sql) == 0)
		fatal_lang_error('blog_first_you_create_category',false);*/
	
	$context['blog']['cats'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$context['blog']['cats'][] = array(
			'id' => $row['id_cat'],
			'title' => $row['title'],
			'p' => $row['position']
		);
	}
	if(empty($context['blog']['cats']))
		fatal_lang_error('blog_first_you_create_category',false);
	
	//Load Icons
	$loadicon = $smcFunc['db_query']('','
		SELECT title, filename FROM {db_prefix}message_icons
	');
	$context['iconsload'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($loadicon))
		$context['iconsload'][$row['title']] = $row['filename'];
	
	$smcFunc['db_free_result']($loadicon);
	
	$context['page_title'] = $txt['blog_add_entrada'];
	$context['sub_template'] = 'add_entrada_blog';
	
	$context['blog']['cat'] = !empty($_REQUEST['cat']) ? $_REQUEST['cat'] : '';
	
	// Needed for the WYSIWYG editor.
	require_once($sourcedir . '/Subs-Editor.php');

	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => '',
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];
	
	

}

function SaveNewPostUser()
{
	global $context, $smcFunc, $txt, $sourcedir, $user_info, $sourcedir;

	require_once($sourcedir . '/Subs-Post.php');
	
	checkSession('post');
	
	global $modSettings;
	$tonewexplode = explode(',',$modSettings['blog_allowed_your_blog']);
	if(!in_array($context['blog']['id_group'],$tonewexplode))
		fatal_lang_error('blog_this_group_not_allowed',false);
	
	if($user_info['id'] != $context['blog']['id_user'])
		fatal_lang_error('blog_not_permission',false);
	
	$post = $_REQUEST['descript'];
	preparsecode($post);

	$title = $smcFunc['htmlspecialchars']($_POST['title']);
	$icon = $smcFunc['htmlspecialchars']($_POST['icon']);
	$cat = (int)$_POST['id_cat'];
	$id_member = $context['blog']['id_user'];
	$time = time();
	$is_started = 1; //Is the inicial Topic ;)
	$last_id = 0;
	
	if(empty($title))
		fatal_lang_error('blog_require_title',false);
	if(empty($post))
		fatal_lang_error('blog_require_body',false);
	
	$the_array_info = array(
		'id_initial' => 'int',
		'body' => 'text',
		'subject' => 'text', 
		'time' => 'int',
		'id_cat' => 'int',
		'id_member' => 'int',
		'is_started' => 'int',
		'icon' => 'text',
	);
	
	$the_array_insert = array(
		0,
		$post,
		$title,
		$time,
		$cat,
		$id_member,
		$is_started,
		$icon
	);
	
	$smcFunc['db_insert']('insert',
		'{db_prefix}blog_comments',
		//Load The Array Info
		$the_array_info,
		//Insert Now;)
		$the_array_insert,
		array('id_comment')
	);

	
	$last_id = $smcFunc['db_insert_id']("{db_prefix}blog_comments");
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}blog_comments
		SET id_initial = {int:i}
		WHERE id_comment = {int:c}',
		array(
			'i' => $last_id,
			'c' => $last_id,
		)
	);
	
	redirectexit('blog='.$id_member);
}

//This are our notifications
function BlogNotify()
{
	global $user_info, $context, $smcFunc, $modSettings, $scripturl, $txt, $boardurl;
	
	//id_group?
	if($user_info['is_guest'])
		$group = -1;
	else
		$group = $user_info['groups'][0];
	
	if(!in_array($group,explode(',',$modSettings['blog_allowed_your_blog'])))
		redirectexit();
	
	loadTemplate('BlogFeatures');
	
	$context['page_title'] = $txt['blog_not'];
	
	if(loadLanguage('Adk-Blog') == false)
		loadLanguage('Adk-Blog','english');
		
	$context['sub_template'] = 'blog_notify';
	
	//Load
	$sql = $smcFunc['db_query']('','
		SELECT n.id_not, n.id_topic, n.id_member_posted, n.type, c.id_comment, c.subject, n.time, mem.real_name, c.id_member AS originalID
		FROM {db_prefix}blog_not AS n
		LEFT JOIN {db_prefix}members AS mem ON (n.id_member_posted = mem.id_member)
		LEFT JOIN {db_prefix}blog_comments AS c ON (c.id_comment = n.id_topic)
		WHERE n.id_member_received = {int:c} AND c.is_started = {int:s}
		ORDER BY n.id_not DESC',
		array(
			'c' => $user_info['id'],
			's' => 1,
		)
	);
	
	$context['not'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql)){
		$context['not'][] = array(
			'id' => $row['id_not'],
			'member' => '<a href="'.$scripturl.'?action=profile;u='.$row['id_member_posted'].'">'.$row['real_name'].'</a>',
			'topic' => '<a href="'.$scripturl.'?blog='.$row['originalID'].';sa=topic;id='.$row['id_topic'].'">'.$row['subject'].'</a>',
			'type' => $row['type'],
			'time' => timeformat($row['time']),
			'id_member' => $user_info['id'],
		);
	}
	
	$smcFunc['db_free_result']($sql);
	
	$context['linktree'][] = array(
		'url' => $scripturl.'?action=blog_notify',
		'name' => $txt['blog_not'],
	);
	
	//Load Html Headers
	$context['html_headers'] = '
		<script type="text/javascript"><!-- // --><![CDATA[
			var smf_blog = "'.$boardurl.'/blog/ajax/";
			var smf_blog_text = "'.$txt['blog_like_thanks'].'";
		// ]]></script>
		<script type="text/javascript" src="'.$boardurl.'/blog/js/jquery.js"></script>
		<script type="text/javascript" src="'.$boardurl.'/blog/js/adk_blog.js"></script>
		<link rel="stylesheet" type="text/css" href="'.$boardurl.'/blog/css/adk_blog.css" />';
	
	if(empty($context['not']))
		redirectexit();
}

//action=blogs
function AllBlogsList()
{
	global $context, $modSettings, $txt, $scripturl, $user_info, $smcFunc, $settings;
	
	//Redirect from profile
	if(!empty($_REQUEST['u']) && is_numeric($_REQUEST['u']))
		redirectexit('blog='.(int)$_REQUEST['u']);
	
	//Important!
	loadTemplate('BlogFeatures');
	if(loadLanguage('Adk-Blog') == false)
		loadLanguage('Adk-Blog','english');
	
	//Blog Enable?
	if(empty($modSettings['blog_enable']))
		fatal_lang_error('blog_not_enable',false);
	
	//id_group?
	if($user_info['is_guest'])
		$context['blog']['id_group'] = -1;
	else
		$context['blog']['id_group'] = $user_info['groups'][0];
		
	$toexplode = explode(',',$modSettings['blog_allowed_toview']);
	
	if(!in_array($context['blog']['id_group'],$toexplode))
		fatal_lang_error('blog_not_permission',false);
	
	$context['start'] = isset($_REQUEST['start']) ? (int)$_REQUEST['start'] : 0;
	
	$sql = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total
		FROM {db_prefix}blog_comments
		WHERE is_started = {int:s}',
		array(
			's' => 1,
		)
	);
	$row2 = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$total = $row2['total'];
		
	$sql = $smcFunc['db_query']('','
		SELECT co.id_comment, co.subject, co.body, co.time, co.id_cat, co.icon, co.id_member,
		ca.id_cat, ca.title, m.id_member, m.real_name, m.avatar,
			IFNULL(a.id_attach, 0) AS id_attach, a.filename, a.attachment_type
		FROM {db_prefix}blog_comments AS co, {db_prefix}blog_categories AS ca, {db_prefix}members AS m
			LEFT JOIN {db_prefix}attachments AS a ON (a.id_member = m.id_member)
		WHERE co.is_started = {int:started} AND co.id_cat = ca.id_cat AND
		co.id_member = m.id_member
		ORDER BY id_comment DESC LIMIT {int:first},{int:limit}',
		array(
			'started' => 1,
			'first' => $context['start'],
			'limit' => $modSettings['blog_limit_perpage'],
		)
	);
	
	$context['page_index'] = constructPageIndex($scripturl . '?action=blogs', $context['start'],$total,$modSettings['blog_limit_perpage']);
	
	//$row = $smcFunc['db_fetch_assoc']($sql);
	
	$context['blog']['data'] = array();
	
	$width = 25; $height = 25;
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$image = '<img src="'.$settings['images_url'].'/post/'.$row['icon'].'.gif" alt="" style="vertical-align: middle;" />&nbsp;';
		$context['blog']['data'][] = array(
			'id' => $row['id_comment'],
			'icon' => !empty($row['icon']) ? $image : '',
			'subject' => $row['subject'],
			'body' => parse_bbc($row['body']),
			'time' => timeformat($row['time']),
			'id_cat' => $row['id_cat'],
			'title' => $row['title'],
			'id_member' => $row['id_member'],
			'name' => $row['real_name'],
			'avatar' => $row['avatar'] == '' ? ($row['id_attach'] > 0 ? '<img width="'.$width.'" height="'.$height.'" src="' . (empty($row['attachment_type']) ? $scripturl . '?action=dlattach;attach=' . $row['id_attach'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) . '" alt="" border="0" />' : '') : (stristr($row['avatar'], 'http://') ? '<img width="'.$width.'" height="'.$height.'" src="' . $row['avatar'] . '" alt="" border="0" />' : '<img width="'.$width.'" height="'.$height.'" src="' . $modSettings['avatar_url'] . '/' . $smcFunc['htmlspecialchars']($row['avatar']) . '" alt="" border="0" />'),

		);
	}
	
	if(empty($context['blog']['data']))
		fatal_lang_error('blog_this_user_not_post_test',false);
	
	$smcFunc['db_free_result']($sql);
	
	$context['sub_template'] = 'the_first_blogs';
	$context['page_title'] = $txt['adk_first_blogs'];
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=blogs',
		'name' => $txt['adk_first_blogs'],
	);

}

?>