<?php

if (!defined('SMF'))
	die('Hacking attempt...');
	
//Hooks integration
function Adk_blog_add_index_actions(&$actionArray)
{
	//Load Adkportal actions
	$actionArray += array(
		'blogs' => array('BlogFeatures.php','AllBlogsList'),
		'blog_notify' => array('BlogFeatures.php','BlogNotify'),
	);
}

function Adk_blog_add_admin_areas(&$adminAreas)
{
	global $txt;
	
	$adminAreas['config']['areas'] += array(
		'blogadmin' => array(
			'label' => $txt['blogs_manage_admin'],
			'file' => 'BlogAdminSettings.php',
			'function' => 'BlogAdminSettings',
			'icon' => 'posts.gif',
			'subsections' => array(
				'newsfromsmfp' => array($txt['blogs_link_tree_news']),
				'settings' => array($txt['blog_settings']),
			),
		),
	);
	
}

function Adk_blog_add_menu_buttons(&$buttons)
{
	global $scripturl, $txt, $modSettings, $user_info, $context;
	
	$find_me = 0;
	reset($buttons);
	
	while((list($key, $val) = each($buttons)) && $key != 'mlist')
		$find_me++;

	$buttons = array_merge(
		array_slice($buttons, 0, $find_me),
		array(
			'blogs' => array(
				'title' => $txt['blogs_principal_title'],
				'href' => $scripturl . '?action=blogs',
				'show' => ($context['user']['is_guest'] && in_array(-1,explode(',',$modSettings['blog_allowed_toview'])) && !empty($modSettings['blog_enable'])) ? true : (!$context['user']['is_guest'] && in_array($user_info['groups'][0],explode(',',$modSettings['blog_allowed_toview'])) && !empty($modSettings['blog_enable'])) ? true : false,
				'sub_buttons' => array(
					'mlist_view' => array(
						'title' => $txt['adk_another_string'],
						'href' => $scripturl . '?blog='.$user_info['id'],
						'show' => in_array($user_info['groups'][0],explode(',',$modSettings['blog_allowed_your_blog'])) ? true : false,
					),
				),
			),
			'blog_notify' => array(
				'title' => $txt['blog_not'].' <i>('.$context['notify'][1].')</i>',
				'href' => $scripturl.'?action=blog_notify',
				'show' => $context['notify'][0],
			),
		),
		array_slice($buttons, $find_me)
	);

}

function GetCurrentVersionBlog()
{
	global $sourcedir;
	require_once($sourcedir.'/Subs-Package.php');
	$version = fetch_web_data('http://www.smfpersonal.net/news/version_blog.txt');
	
	return $version;

}

function GetNewsBlogsFromSmfP()
{
	global $sourcedir;
	require_once($sourcedir.'/Subs-Package.php');
	
	$news = fetch_web_data('http://www.smfpersonal.net/news/news_blog.txt');
	
	return $news;
}

function adkblog_icon($image, $align = true){
	global $boardurl;
	
	echo'<img alt="" src="',$boardurl,'/blog/images/'.$image.'.png"',$align ? ' style="vertical-align: middle;"' : '' ,' />&nbsp;';
}

function adk_importandandbeautifulinfo(){
	echo '<br /><div class="smalltext"><a href="http://www.smfpersonal.net" target="_blank">Adk Blog</a> by <a href="http://custom.simplemachines.org/mods/index.php?mod=2255" target="_blank">Adk portal customizers</a></div>';
}

function hr($colspan = 2){
	echo'
		<tr><td colspan="',$colspan,'"><hr /></td></tr>';
}

function checkNotify()
{
	global $user_info, $context, $smcFunc, $modSettings;
	
	$context['notify'] = array(false,0);
	
	//id_group?
	if($user_info['is_guest'])
		$group = -1;
	else
		$group = $user_info['groups'][0];
	
	if(!in_array($group,explode(',',$modSettings['blog_allowed_your_blog'])))
		return;
	
	$sql = $smcFunc['db_query']('','
		SELECT COUNT(*) AS total FROM {db_prefix}blog_not
		WHERE id_member_received = {int:member}',
		array(
			'member' => $user_info['id'],
		)
	);
	
	list($total) = $smcFunc['db_fetch_row']($sql);
	
	$smcFunc['db_free_result']($sql);
	
	if(!empty($total))
		$context['notify'] = array(true,$total);
	
}

function LoadMemberBlogData($id_member)
{
	global $memberContext, $context, $scripturl, $smcFunc;
	
	loadMemberData($id_member);
	loadMemberContext($id_member);
	
	$sql = $smcFunc['db_query']('','
		SELECT COUNT(*) AS post
		FROM {db_prefix}blog_comments
		WHERE id_member = {int:id} AND is_started = {int:s}',
		array(
			'id' => $id_member,
			's' => 1,
		)
	);
	$row = $smcFunc['db_fetch_assoc']($sql);
	$smcFunc['db_free_result']($sql);
	
	$sql2 = $smcFunc['db_query']('','
		SELECT blog_about_me, blog_count
		FROM {db_prefix}members
		WHERE id_member = {int:member}',
		array(
			'member' => $id_member,
		)
	);
	$row2 = $smcFunc['db_fetch_assoc']($sql2);
	$smcFunc['db_free_result']($sql2);
	
	$context['blog']['member'] = array(
		'name' => $memberContext[$id_member]['name'],
		'id' => $id_member,
		'member' => '<a style="font-weight: bold; font-size: 110%;" href="'.$scripturl.'?action=profile;u='.$memberContext[$id_member]['id'].'">'.$memberContext[$id_member]['name'].'</a>',
		'avatar' => $memberContext[$id_member]['avatar']['image'],
		'is_online' => '<img alt="" src="'.$memberContext[$id_member]['online']['image_href'].'" />',
		'stars' => $memberContext[$id_member]['group_stars'],
		'real_posts' => $memberContext[$id_member]['real_posts'],
		'topics' => $row['post'],
		'icq' => $memberContext[$id_member]['icq']['link'].'&nbsp;',
		'aim' => $memberContext[$id_member]['aim']['link'].'&nbsp;',
		'msn' => $memberContext[$id_member]['msn']['link'].'&nbsp;',
		'yim' => $memberContext[$id_member]['yim']['link'].'&nbsp;',
		'about' => parse_bbc($row2['blog_about_me']),
		'blog_count' => $row2['blog_count'],
	);
	
}

function updateCountBlog($id_user)
{
	global $smcFunc;
	
	if(!isset($_SESSION['count_blog_2'][$id_user]))
	{
		$smcFunc['db_query']('','
			UPDATE {db_prefix}members
			SET blog_count = blog_count + 1
			WHERE id_member = {int:member}',
			array(
				'member' => $id_user,
			)
		);
		
		$_SESSION['count_blog_2'][$id_user] = true;
	}
}

function createImportantButtons()
{
	global $modSettings, $user_info, $context, $scripturl;
	
	//id_group?
	if($user_info['is_guest'])
		$group = -1;
	else
		$group = $user_info['groups'][0];
	
	if(!in_array($group,explode(',',$modSettings['blog_allowed_your_blog'])))
		$context['have_blog'] = false;
	else
		$context['have_blog'] = true;
	
	$context['buttons_array'] = array(
		array(
			'test' => 'have_blog', 
			'text' => 'adk_another_string', 
			'image' => '', 
			'lang' => false, 
			'url' => $scripturl.'?blog='.$user_info['id'],
			'active' => true,
		),
	);
	
	return $context['buttons_array'];
}

function checkOwnBlog($group_id)
{
	global $modSettings;
	
	if(empty($modSettings['blog_enable']))
		return false;
		
	//For the moment, you have not permission to have blog
	$have_blog = false;
	
	if(in_array($group_id,explode(',',$modSettings['blog_allowed_your_blog'])))
		$have_blog = true;
	
	return $have_blog;
}

function Adk_blog_add_profile_areas($profileAreas)
{
	global $context, $scripturl, $txt;
	
	$profileAreas['info']['areas'] += array(
		'ownblog' => array(
			'label' => $txt['blog_principal_title'],
			'permission' => array(
				'own' => 'profile_view_own',
				'any' => 'profile_view_any',
			),
			'enabled' => checkOwnBlog($context['member']['group_id']),
			'custom_url' => $scripturl.'?action=blogs',
		),
	);
}
?>